## rdkit 202303.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

project (RDKit)

IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE Release CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

# Enable CTest
include(CTest)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_MODULE_PATH
    ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/Code/cmake/Modules/")

add_library(rdkit_base INTERFACE)

option(RDK_BUILD_SWIG_WRAPPERS "build the SWIG wrappers" OFF )
option(RDK_BUILD_PYTHON_WRAPPERS "build the standard python wrappers" ON )
option(RDK_BUILD_COMPRESSED_SUPPLIERS "build in support for compressed MolSuppliers" OFF )
option(RDK_BUILD_INCHI_SUPPORT "build the rdkit inchi wrapper" OFF )
option(RDK_BUILD_AVALON_SUPPORT "install support for the avalon toolkit. Use the variable AVALONTOOLS_DIR to set the location of the source." OFF )
option(RDK_BUILD_PGSQL "build the PostgreSQL cartridge" OFF )
option(RDK_BUILD_RPATH_SUPPORT "build shared libraries using rpath" OFF)
option(RDK_PGSQL_STATIC "statically link rdkit libraries into the PostgreSQL cartridge" ON )
option(RDK_BUILD_CONTRIB "build the Contrib directory" OFF )
option(RDK_INSTALL_INTREE "install the rdkit in the source tree (former behavior)" ON )
option(RDK_INSTALL_DLLS_MSVC "install the rdkit DLLs when using MSVC" OFF)
option(RDK_INSTALL_STATIC_LIBS "install the rdkit static libraries" ON )
option(RDK_INSTALL_PYTHON_TESTS "install the rdkit Python tests with the wrappers" OFF )
option(RDK_BUILD_THREADSAFE_SSS "enable thread-safe substructure searching" ON )
option(RDK_BUILD_SLN_SUPPORT "include support for the SLN format" ON )
option(RDK_TEST_MULTITHREADED "run some tests of multithreading" ON )
option(RDK_BUILD_SWIG_JAVA_WRAPPER "build the SWIG JAVA wrappers (does nothing if RDK_BUILD_SWIG_WRAPPERS is not set)" ON )
option(RDK_BUILD_SWIG_CSHARP_WRAPPER "build the experimental SWIG C# wrappers (does nothing if RDK_BUILD_SWIG_WRAPPERS is not set)" OFF )
option(RDK_SWIG_STATIC "statically link rdkit libraries into the SWIG wrappers" ON )
option(RDK_TEST_MMFF_COMPLIANCE "run MMFF compliance tests (requires tar/gzip)" ON )
option(RDK_BUILD_CPP_TESTS "build the c++ tests (disabing can speed up builds" ON)
option(RDK_USE_FLEXBISON "use flex/bison, if available, to build the SMILES/SMARTS/SLN parsers" OFF)
option(RDK_TEST_COVERAGE "Use G(L)COV to compute test coverage" OFF)
option(RDK_USE_BOOST_SERIALIZATION "Use the boost serialization library if available" ON)
option(RDK_USE_BOOST_STACKTRACE "use boost::stacktrace to do more verbose invariant output (linux only)" ON)
option(RDK_BUILD_TEST_GZIP "Build the gzip'd stream test" OFF)
option(RDK_OPTIMIZE_POPCNT "Use SSE4.2 popcount instruction while compiling." ON)
option(RDK_USE_STRICT_ROTOR_DEFINITION "Use the most strict rotatable bond definition" ON)
option(RDK_BUILD_DESCRIPTORS3D "Build the 3D descriptors calculators, requires Eigen3 to be installed" ON)
option(RDK_BUILD_FREESASA_SUPPORT "build the rdkit freesasa wrapper" OFF )
option(RDK_BUILD_COORDGEN_SUPPORT "build the rdkit coordgen wrapper" ON )
option(RDK_BUILD_MAEPARSER_SUPPORT "build the rdkit MAE parser wrapper" ON )
option(RDK_BUILD_MOLINTERCHANGE_SUPPORT "build in support for CommonChem molecule interchange" ON )
option(RDK_BUILD_YAEHMOP_SUPPORT "build support for the YAeHMOP wrapper" OFF)
option(RDK_BUILD_XYZ2MOL_SUPPORT "build in support for the RDKit's implementation of xyz2mol (in the DetermineBonds library)" OFF )
option(RDK_BUILD_STRUCTCHECKER_SUPPORT "build in support for the StructChecker alpha (not recommended, use the MolVS integration instead)" OFF )
option(RDK_USE_URF "Build support for Florian Flachsenberg's URF library" ON)
option(RDK_INSTALL_DEV_COMPONENT "install libraries and headers" ON)
option(RDK_USE_BOOST_REGEX "use boost::regex instead of std::regex (needed for systems with g++-4.8)" OFF)
option(RDK_USE_BOOST_IOSTREAMS "use boost::iostreams" ON)
option(RDK_BUILD_MINIMAL_LIB "build the minimal RDKit wrapper (for the JS bindings)" OFF)
option(RDK_MINIMAL_LIB_SUPPORT_LEGACY_BROWSERS "build the minimal RDKit JS wrapper such that it supports legacy browsers" OFF)
option(RDK_BUILD_CFFI_LIB "build the CFFI wrapper (for use in other programming languges)" OFF)
option(RDK_BUILD_FUZZ_TARGETS "build the fuzz targets" OFF)

set(RDK_BOOST_VERSION "1.58.0")

if(NOT MSVC)
  if(RDK_OPTIMIZE_POPCNT)
    if(CMAKE_SYSTEM_PROCESSOR MATCHES "^(aarch64|arm64)")
      message("RDK_OPTIMIZE_POPCNT is not available on aarch64 or arm64")
    elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "^(ppc64|powerpc64)")
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mpopcntd")
    else()
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mpopcnt")
    endif()
  endif()
endif()

if(NOT UNIX OR APPLE)
  if(RDK_USE_BOOST_STACKTRACE)
    MESSAGE("Disabling boost::stacktrace on non-linux platform")
    set(RDK_USE_BOOST_STACKTRACE OFF)
  endif(RDK_USE_BOOST_STACKTRACE)
endif()

if(NOT RDK_BUILD_SWIG_WRAPPERS)
  set(RDK_BUILD_SWIG_JAVA_WRAPPER OFF)
  set(RDK_BUILD_SWIG_CSHARP_WRAPPER OFF)
endif()

if(RDK_SWIG_STATIC AND RDK_BUILD_SWIG_WRAPPERS)
  if(NOT MSVC AND NOT RDK_INSTALL_STATIC_LIBS)
    message("Enabling RDK_INSTALL_STATIC_LIBS because RDK_SWIG_STATIC is set.")
    set(RDK_INSTALL_STATIC_LIBS ON CACHE BOOL "install the rdkit static libraries" FORCE)
  endif(NOT MSVC AND NOT RDK_INSTALL_STATIC_LIBS)
endif()

if((NOT (MSVC AND (NOT RDK_INSTALL_DLLS_MSVC))) AND NOT (WIN32 AND RDK_INSTALL_STATIC_LIBS))
  add_definitions(-DRDKIT_DYN_LINK)
endif()

if(RDK_PGSQL_STATIC AND RDK_BUILD_PGSQL)
  if(NOT MSVC AND NOT RDK_INSTALL_STATIC_LIBS)
    message("Enabling RDK_INSTALL_STATIC_LIBS because RDK_PGSQL_STATIC is set.")
    set(RDK_INSTALL_STATIC_LIBS ON CACHE BOOL "install the rdkit static libraries" FORCE)
  endif(NOT MSVC AND NOT RDK_INSTALL_STATIC_LIBS)
endif()

if(RDK_BUILD_CFFI_LIB)
  if(NOT MSVC AND NOT RDK_INSTALL_STATIC_LIBS)
    message("Enabling RDK_INSTALL_STATIC_LIBS because RDK_BUILD_CFFI_LIB is set.")
    set(RDK_INSTALL_STATIC_LIBS ON CACHE BOOL "install the rdkit static libraries" FORCE)
  endif(NOT MSVC AND NOT RDK_INSTALL_STATIC_LIBS)
endif()


include(TestBigEndian)
TEST_BIG_ENDIAN(RDK_BIG_ENDIAN)

# At build time put runtime binaries in the bin subdirectory
set(RDK_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/bin")
set(RDK_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/lib")
set(RDK_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/lib")
# Also place the python extension where the source tree would expect them
set(RDK_PYTHON_OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/rdkit")

#-------
# Config variables:
set(RDKit_Year "2023")
set(RDKit_Month "03")
set(RDKit_Revision "3")
set(RDKit_RevisionModifier "")
set(RDKit_ABI "1")

# we need an integer version of the month later, so remove the zero padding
# if there is any
string(REGEX REPLACE "^0" "" RDKit_intMonth ${RDKit_Month} )

set(RDKit_CodeDir "${CMAKE_CURRENT_SOURCE_DIR}/Code")
set(RDKit_ExternalDir "${CMAKE_CURRENT_SOURCE_DIR}/External")
set(RDKit_DataDir "${CMAKE_CURRENT_SOURCE_DIR}/Data")

#include catch
add_subdirectory(${RDKit_ExternalDir}/catch)
message("CATCH: ${CATCH_INCLUDE_DIR}")

if(RDK_INSTALL_INTREE)
  set(RDKit_BinDir "${CMAKE_SOURCE_DIR}/bin")
  set(RDKit_LibDir "${CMAKE_SOURCE_DIR}/lib")
  set(RDKit_HdrDir "Code") # used in rdkit-config.cmake, path prefix not needed.
  set(RDKit_ShareDir "${CMAKE_SOURCE_DIR}")
else(RDK_INSTALL_INTREE)
  set(RDKit_BinDir "bin")
  set(RDKit_LibDir "lib${LIB_SUFFIX}")
  set(RDKit_HdrDir "include/rdkit")
  set(RDKit_ShareDir "share/RDKit")
endif(RDK_INSTALL_INTREE)

if(RDK_BUILD_RPATH_SUPPORT)
  # use, i.e. don't skip the full RPATH for the build tree
  SET(CMAKE_SKIP_BUILD_RPATH  FALSE)

  # when building, don't use the install RPATH already
  # (but later on when installing)
  SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)

  message("CMAKE_INSTALL_RPATH ${CMAKE_INSTALL_PREFIX}/lib")
  SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")

  # add the automatically determined parts of the RPATH
  # which point to directories outside the build tree to the install RPATH
  SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

  # the RPATH to be used when installing, but only if it's not a system
  # directory
  LIST(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES
  "${CMAKE_INSTALL_PREFIX}/lib" isSystemDir)
  IF("${isSystemDir}" STREQUAL "-1")
     SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
  ENDIF("${isSystemDir}" STREQUAL "-1")
endif()



if(RDK_BUILD_SWIG_WRAPPERS)
  set(RDKit_JavaLibDir "${RDKit_ExternalDir}/java_lib")
endif(RDK_BUILD_SWIG_WRAPPERS)


if(RDK_BUILD_COORDGEN_SUPPORT)
    add_definitions(-DRDK_BUILD_COORDGEN_SUPPORT)
    include_directories(${RDKit_ExternalDir})
endif()

if(RDK_BUILD_MAEPARSER_SUPPORT)
    add_definitions(-DRDK_BUILD_MAEPARSER_SUPPORT)
    include_directories(${RDKit_ExternalDir})
endif()

if(RDK_USE_URF)
  add_definitions(-DRDK_USE_URF)
  if((MSVC AND (NOT RDK_INSTALL_DLLS_MSVC)) OR ((NOT MSVC) AND WIN32 AND RDK_INSTALL_STATIC_LIBS))
    add_definitions(-DRDL_WIN_STATIC)
  endif()
  include_directories(${RDKit_ExternalDir}/RingFamilies/RingDecomposerLib/src/RingDecomposerLib)
endif()

if(RDK_BUILD_XYZ2MOL_SUPPORT)
    if(NOT RDK_BUILD_YAEHMOP_SUPPORT)
        message("Enabling YAeHMOP support because xyz2mol is being built")
        set(RDK_BUILD_YAEHMOP_SUPPORT ON)
    endif()
    add_definitions(-DRDK_BUILD_XYZ2MOL_SUPPORT)
    include_directories(${RDKit_ExternalDir})
endif()

# Detect clang, which masquerades as gcc.  CMake 2.6 doesn't know how to
# detect it.
string(REGEX MATCH "clang" CMAKE_COMPILER_IS_CLANG "${CMAKE_C_COMPILER}")
# Detect emcc
string(REGEX MATCH "Emscripten" CMAKE_COMPILER_IS_EMCC "${CMAKE_SYSTEM_NAME}")

if(CMAKE_SIZEOF_VOID_P EQUAL 4)
  target_compile_definitions(rdkit_base INTERFACE "-DRDK_32BIT_BUILD")
else()
  target_compile_definitions(rdkit_base INTERFACE "-DRDK_64BIT_BUILD")
endif()

if(MINGW)
  target_compile_definitions(rdkit_base INTERFACE "-DBOOST_SYSTEM_NO_DEPRECATED")
endif(MINGW)
if (CMAKE_COMPILER_IS_CLANG OR CMAKE_COMPILER_IS_EMCC)
  if (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER_EQUAL 15)
    target_compile_definitions(rdkit_base INTERFACE -DBOOST_SYSTEM_NO_DEPRECATED -DBOOST_NO_CXX98_FUNCTION_BASE -D_HAS_AUTO_PTR_ETC=0)
    target_compile_options(rdkit_base INTERFACE -Wno-deprecated-builtins -Wno-deprecated-non-prototype -Wno-unused-parameter)
  endif()
endif()

# defines macros: rdkit_python_extension, rdkit_test
include(RDKitUtils)

install(TARGETS rdkit_base EXPORT ${RDKit_EXPORTED_TARGETS}
        COMPONENT dev )

# disable some warnings that we don't care about
if(MSVC)
  # These should occasionally be enabled to check what's going on
  # 4267 conversion with possible loss of data.
  # 4305 truncation from 'double' to 'const float'
  # 4244 conversion from 'uint64_t' to 'unsigned int', possible loss of data
  target_compile_options(rdkit_base INTERFACE "/wd4267" "/wd4305" "/wd4244")
  target_compile_definitions(rdkit_base INTERFACE "_CRT_SECURE_NO_WARNINGS")
endif(MSVC)


# extra boost versions
if(MSVC)
  # FIX: do we still need this?
  target_compile_definitions(rdkit_base INTERFACE "-DBOOST_ALL_NO_LIB")
  if(RDK_INSTALL_DLLS_MSVC)
    target_compile_definitions(rdkit_base INTERFACE "-DBOOST_ALL_DYN_LINK")
  endif(RDK_INSTALL_DLLS_MSVC)
endif(MSVC)

if(RDK_BUILD_INCHI_SUPPORT)
  find_package(Inchi)
endif(RDK_BUILD_INCHI_SUPPORT)

if(RDK_BUILD_PYTHON_WRAPPERS)
  add_library(rdkit_py_base INTERFACE)

  #-------
  # pull in python:
  find_package(PythonInterp)
  if (PYTHONINTERP_FOUND AND NOT Python_ADDITIONAL_VERSIONS)
    set(Python_ADDITIONAL_VERSIONS "${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}")
  endif (PYTHONINTERP_FOUND AND NOT Python_ADDITIONAL_VERSIONS)

  if(PYTHON_VERSION_MAJOR EQUAL 2)

=== Code/GraphMol/CMakeLists.txt ===
if (RDK_USE_BOOST_SERIALIZATION AND Boost_SERIALIZATION_LIBRARY)
    set(RDKit_SERIALIZATION_LIBS ${Boost_SERIALIZATION_LIBRARY})
else ()
    message("== Making SubstructLibrary without boost Serialization support")
    set(RDKit_SERIALIZATION_LIBS)
endif ()

rdkit_library(GraphMol
        Atom.cpp QueryAtom.cpp QueryBond.cpp Bond.cpp
        MolOps.cpp FindRings.cpp ROMol.cpp RWMol.cpp PeriodicTable.cpp
        atomic_data.cpp QueryOps.cpp MolPickler.cpp Canon.cpp
        AtomIterators.cpp BondIterators.cpp Aromaticity.cpp Kekulize.cpp
        ConjugHybrid.cpp AddHs.cpp
        Matrices.cpp Chirality.cpp RingInfo.cpp Conformer.cpp
        Renumber.cpp AdjustQuery.cpp Resonance.cpp StereoGroup.cpp
        new_canon.cpp SubstanceGroup.cpp FindStereo.cpp MonomerInfo.cpp
        NontetrahedralStereo.cpp WedgeBonds.cpp
        SHARED
        LINK_LIBRARIES RDGeometryLib RDGeneral ${RDKit_SERIALIZATION_LIBS})
target_compile_definitions(GraphMol PRIVATE RDKIT_GRAPHMOL_BUILD)
if (RDK_USE_URF)
    target_link_libraries(GraphMol PUBLIC ${RDK_URF_LIBS})
    if (NOT WIN32 AND RDK_INSTALL_STATIC_LIBS)
        target_link_libraries(GraphMol_static PUBLIC ${RDK_URF_LIBS}_static)
    endif ()
endif ()

rdkit_headers(Atom.h
        atomic_data.h
        AtomIterators.h
        Bond.h
        BondIterators.h
        Canon.h
        Chirality.h
        Conformer.h
        details.h
        GraphMol.h
        MolOps.h
        MolPickler.h
        PeriodicTable.h
        QueryAtom.h
        QueryBond.h
        QueryOps.h
        RDKitBase.h
        RDKitQueries.h
        Resonance.h
        RingInfo.h
        Rings.h
        ROMol.h
        RWMol.h
        SanitException.h
        SubstanceGroup.h
        StereoGroup.h
        MonomerInfo.h
        new_canon.h
        MolBundle.h
        DEST GraphMol)

add_subdirectory(SmilesParse)
add_subdirectory(Depictor)
add_subdirectory(FileParsers)
add_subdirectory(Substruct)
add_subdirectory(GenericGroups)
add_subdirectory(ChemReactions)
add_subdirectory(ChemTransforms)
add_subdirectory(TautomerQuery)

add_subdirectory(Subgraphs)
add_subdirectory(FilterCatalog)
add_subdirectory(FragCatalog)
add_subdirectory(Descriptors)

add_subdirectory(Fingerprints)
add_subdirectory(PartialCharges)

add_subdirectory(MolTransforms)
add_subdirectory(ForceFieldHelpers)
add_subdirectory(DistGeomHelpers)

add_subdirectory(MolAlign)
add_subdirectory(MolChemicalFeatures)
add_subdirectory(ShapeHelpers)
add_subdirectory(MolCatalog)

add_subdirectory(MolDraw2D)

add_subdirectory(FMCS)
add_subdirectory(MolHash)
add_subdirectory(MMPA)

add_subdirectory(CIPLabeler)
add_subdirectory(Deprotect)

if (RDK_BUILD_STRUCTCHECKER_SUPPORT)
    add_subdirectory(StructChecker)
endif ()

add_subdirectory(ReducedGraphs)
add_subdirectory(Trajectory)

add_subdirectory(SubstructLibrary)
add_subdirectory(RGroupDecomposition)

if (RDK_BUILD_XYZ2MOL_SUPPORT)
    add_subdirectory(DetermineBonds)
endif ()

if (RDK_BUILD_MOLINTERCHANGE_SUPPORT)
    add_subdirectory(MolInterchange)
endif (RDK_BUILD_MOLINTERCHANGE_SUPPORT)

if (RDK_BUILD_SLN_SUPPORT AND NOT CMAKE_COMPILER_IS_CLANG)
    if (CMAKE_COMPILER_IS_GNUCC AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS_EQUAL 4.8)
        message("Skipping SLN build with gcc version <= 4.8")
    else ()
        add_subdirectory(SLNParse)
    endif ()
endif ()

if (RDK_BUILD_PYTHON_WRAPPERS)
    add_subdirectory(Wrap)
endif ()

add_subdirectory(MolStandardize)
add_subdirectory(ScaffoldNetwork)
add_subdirectory(MolEnumerator)
add_subdirectory(Abbreviations)


rdkit_test(graphmolTest1 test1.cpp LINK_LIBRARIES FileParsers SmilesParse GraphMol
        SubstructMatch ForceFieldHelpers ForceField)

rdkit_test(graphmolcpTest cptest.cpp LINK_LIBRARIES SmilesParse GraphMol)

rdkit_test(graphmolqueryTest querytest.cpp LINK_LIBRARIES SubstructMatch SmilesParse GraphMol)

rdkit_test(graphmolMolOpsTest molopstest.cpp
        LINK_LIBRARIES SubstructMatch FileParsers
        SmilesParse GraphMol)

rdkit_test(graphmoltestChirality testChirality.cpp
        LINK_LIBRARIES SmilesParse FileParsers
        GraphMol)

rdkit_test(graphmoltestPickler testPickler.cpp
        LINK_LIBRARIES SmilesParse SubstructMatch FileParsers GraphMol)

rdkit_test(graphmoltestPicklerGlobalSetting testPicklerGlobalSettings.cpp
        LINK_LIBRARIES SmilesParse SubstructMatch FileParsers GraphMol)

rdkit_test(graphmolIterTest itertest.cpp LINK_LIBRARIES SmilesParse GraphMol)

rdkit_test(hanoiTest hanoitest.cpp LINK_LIBRARIES
        SubstructMatch SmilesParse FileParsers GraphMol
        )

rdkit_test(graphmolMemTest1 memtest1.cpp LINK_LIBRARIES SmilesParse GraphMol)

rdkit_test(resMolSupplierTest resMolSupplierTest.cpp
        LINK_LIBRARIES SmilesParse GraphMol SubstructMatch FileParsers)

rdkit_test(molBundleTest testMolBundle.cpp
        LINK_LIBRARIES SmilesParse GraphMol SubstructMatch FileParsers)

rdkit_test(testSGroup testSGroup.cpp LINK_LIBRARIES FileParsers GraphMol)

rdkit_test(test-valgrind test-valgrind.cpp LINK_LIBRARIES SmilesParse GraphMol)

rdkit_catch_test(graphmolTestsCatch catch_graphmol.cpp
        LINK_LIBRARIES SubstructMatch FileParsers SmilesParse GraphMol)

rdkit_catch_test(graphmolOrganometallicsCatch catch_organometallics.cpp
        LINK_LIBRARIES FileParsers SmilesParse GraphMol)

rdkit_catch_test(graphmolSGroupCatch catch_sgroups.cpp
        LINK_LIBRARIES SmilesParse FileParsers GraphMol)

rdkit_catch_test(graphmolAdjustQueryCatch catch_adjustquery.cpp
        LINK_LIBRARIES SubstructMatch FileParsers SmilesParse GraphMol)

rdkit_catch_test(chiralityTestsCatch catch_chirality.cpp
        LINK_LIBRARIES FileParsers SmilesParse GraphMol)

rdkit_catch_test(canonTestsCatch catch_canon.cpp
        LINK_LIBRARIES FileParsers SmilesParse GraphMol)

rdkit_catch_test(moliteratorTestsCatch catch_moliterators.cpp
        LINK_LIBRARIES SubstructMatch SmilesParse GraphMol)

rdkit_catch_test(queryTestsCatch catch_queries.cpp
        LINK_LIBRARIES SmilesParse GraphMol)

=== Code/JavaWrappers/CMakeLists.txt ===
find_package(SWIG REQUIRED)
include(${SWIG_USE_FILE})

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${RDKit_CodeDir})
include_directories(${Boost_INCLUDE_DIRS})

SET(CMAKE_SWIG_FLAGS "")


set(swigRDKitLibSuffix "")
if(RDK_SWIG_STATIC AND (NOT WIN32))
  set(swigRDKitLibSuffix "_static")
endif()
set(swigRDKitLibList "")
if(RDK_BUILD_AVALON_SUPPORT)
  set(swigRDKitLibList "${swigRDKitLibList}AvalonLib;avalon_clib;")
endif(RDK_BUILD_AVALON_SUPPORT)
if(RDK_BUILD_INCHI_SUPPORT)
  set(swigRDKitLibList "${swigRDKitLibList}RDInchiLib;${INCHI_LIBRARIES};")
endif(RDK_BUILD_INCHI_SUPPORT)
set(swigRDKitLibList "${swigRDKitLibList}"
  "Abbreviations;ScaffoldNetwork;MolHash;RGroupDecomposition;SubstructLibrary;TautomerQuery;"
  "MolEnumerator;"
  "MolStandardize;FilterCatalog;Catalogs;FMCS;MolDraw2D;FileParsers;SmilesParse;"
  "Depictor;SubstructMatch;ChemReactions;Fingerprints;ChemTransforms;"
  "Subgraphs;GraphMol;DataStructs;Trajectory;Descriptors;"
  "PartialCharges;MolTransforms;DistGeomHelpers;DistGeometry;"
  "ForceFieldHelpers;ForceField;EigenSolvers;Optimizer;MolAlign;O3AAlign;"
  "Alignment;SimDivPickers;RDGeometryLib;RDStreams;RDGeneral;"
)
#if(RDK_BUILD_COORDGEN_SUPPORT)
#  set(swigRDKitLibList "${swigRDKitLibList};${RDK_COORDGEN_LIBS}")
#endif(RDK_BUILD_COORDGEN_SUPPORT)
if(RDK_USE_URF)
  set(swigRDKitLibList "${swigRDKitLibList};${RDK_URF_LIBS};")
endif(RDK_USE_URF)
set(swigRDKitLibs "")
foreach(swigRDKitLib ${swigRDKitLibList})
  set(swigRDKitLibs "${swigRDKitLibs}${swigRDKitLib}${swigRDKitLibSuffix};")
endforeach()
set(swigRDKitLibs "${swigRDKitLibs}${Boost_SERIALIZATION_LIBRARY};")

if(RDK_USE_BOOST_IOSTREAMS)
ADD_DEFINITIONS("-DRDK_USE_BOOST_IOSTREAMS")
if(WIN32)
  find_package(Boost ${RDK_BOOST_VERSION} COMPONENTS system iostreams REQUIRED)
  set(swigRDKitLibs "${swigRDKitLibs}${Boost_IOSTREAMS_LIBRARY};${Boost_SYSTEM_LIBRARY};")
  
  find_package(Boost ${RDK_BOOST_VERSION} COMPONENTS zlib)
  if(Boost_ZLIB_FOUND)
    set(swigRDKitLibs "${swigRDKitLibs}${Boost_ZLIB_LIBRARY};")
  endif()
else()
  find_package(Boost ${RDK_BOOST_VERSION} COMPONENTS system iostreams REQUIRED)
  set(swigRDKitLibs "${swigRDKitLibs}${Boost_IOSTREAMS_LIBRARY};${Boost_SYSTEM_LIBRARY};")
endif()
endif(RDK_USE_BOOST_IOSTREAMS)



set(RDKit_Wrapper_Libs ${swigRDKitLibs})

message("SUFFIX: ${swigRDKitLibSuffix}")
message("JAVA_LIBS: ${RDKit_Wrapper_Libs}")


if(RDK_BUILD_SWIG_JAVA_WRAPPER)
add_subdirectory(gmwrapper)
endif()

if(RDK_BUILD_SWIG_CSHARP_WRAPPER)
add_subdirectory(csharp_wrapper)
endif()

=== Code/MinimalLib/CMakeLists.txt ===
include_directories(${RDKit_ExternalDir})
include_directories(${RDKit_ExternalDir}/rapidjson-1.1.0/include)

if(RDK_BUILD_MINIMAL_LIB)
    if(RDK_BUILD_FREETYPE_SUPPORT)
        if( ${CMAKE_SYSTEM_NAME} MATCHES "Emscripten")
            set(USE_FLAGS "-s USE_FREETYPE=1")
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${USE_FLAGS}")
            set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${USE_FLAGS}")
        endif()
    endif()
    add_executable(RDKit_minimal jswrapper.cpp minilib.cpp)
    target_link_libraries(RDKit_minimal MolInterchange_static Abbreviations_static
        CIPLabeler_static MolDraw2D_static Depictor_static RDInchiLib_static
        SubstructMatch_static SubstructLibrary_static FileParsers_static
        SmilesParse_static GraphMol_static RDGeometryLib_static RDGeneral_static)

    set_target_properties(RDKit_minimal PROPERTIES LINK_FLAGS "--bind")
endif(RDK_BUILD_MINIMAL_LIB)

if(RDK_BUILD_CFFI_LIB)

    set(CMAKE_C_STANDARD 99)
    if((NOT WIN32) OR (WIN32 AND RDK_INSTALL_DLLS_MSVC))
        set(LIBS_TO_USE 
            MolStandardize_static DistGeomHelpers_static ForceFieldHelpers_static DistGeometry_static
            ForceField_static Alignment_static
            MolInterchange_static Abbreviations_static CIPLabeler_static 
            MolDraw2D_static Depictor_static 
            RDInchiLib_static SubstructMatch_static FileParsers_static 
            SmilesParse_static GraphMol_static RingDecomposerLib_static RDGeometryLib_static RDGeneral_static )
        if(RDK_URF_LIBS)
            list(APPEND LIBS_TO_USE RingDecomposerLib_static)
        endif()
    else()
        set(LIBS_TO_USE 
        MolStandardize DistGeomHelpers ForceFieldHelpers DistGeometry
        ForceField Alignment
        MolInterchange Abbreviations CIPLabeler 
        MolDraw2D Depictor 
        RDInchiLib SubstructMatch FileParsers 
        SmilesParse GraphMol RDGeometryLib RDGeneral )
        if(RDK_URF_LIBS)
            list(APPEND LIBS_TO_USE RingDecomposerLib)
        endif()
    endif()
    
    add_library(rdkitcffi SHARED cffiwrapper.cpp)
    target_link_libraries(rdkitcffi PUBLIC rdkit_base)
    target_link_libraries(rdkitcffi PUBLIC ${LIBS_TO_USE})
    INSTALL(TARGETS rdkitcffi EXPORT rdkit-targets
            DESTINATION ${RDKit_LibDir}/${RDKLIB_DEST}
            COMPONENT runtime )
    set_target_properties(rdkitcffi PROPERTIES
                            OUTPUT_NAME "rdkitcffi"
                            VERSION "${RDKit_ABI}.${RDKit_Year}.${RDKit_Month}.${RDKit_Revision}"
                            VERSION ${RDKit_VERSION}
                            SOVERSION ${RDKit_ABI} )
    set_target_properties(rdkitcffi PROPERTIES
                            ARCHIVE_OUTPUT_DIRECTORY ${RDK_ARCHIVE_OUTPUT_DIRECTORY}
                            RUNTIME_OUTPUT_DIRECTORY ${RDK_RUNTIME_OUTPUT_DIRECTORY}
                            LIBRARY_OUTPUT_DIRECTORY ${RDK_LIBRARY_OUTPUT_DIRECTORY})
if(MSVC OR WIN32)
  set_target_properties(rdkitcffi PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS TRUE)
endif()


    add_executable(cffi_test cffi_test.c)
    target_link_libraries(cffi_test rdkitcffi)
#if(NOT MSVC)
    # doesn't work as a test on windows because the DLL needs to be either in the PATH OR
	# in the same dir as the executable
    add_test(cffi_test ${EXECUTABLE_OUTPUT_PATH}/cffi_test)
#endif
endif(RDK_BUILD_CFFI_LIB)

=== External/CoordGen/CMakeLists.txt ===
add_custom_target(coordgen_support ALL)
include(RDKitUtils)

if(RDK_BUILD_MAEPARSER_SUPPORT)
  if((NOT MSVC) OR RDK_INSTALL_DLLS_MSVC)
    add_definitions(-DIN_MAEPARSER)
  endif()

  find_package(Boost ${RDK_BOOST_VERSION} COMPONENTS system iostreams REQUIRED)
  set (link_iostreams ${Boost_LIBRARIES})
  if (NOT Boost_USE_STATIC_LIBS)
    add_definitions("-DBOOST_IOSTREAMS_DYN_LINK")
  endif()

  if (WIN32)
    set( T_LIBS ${Boost_LIBRARIES})
    find_package(Boost ${RDK_BOOST_VERSION} COMPONENTS zlib)
    set( Boost_LIBRARIES ${T_LIBS} ${Boost_LIBRARIES})

  else()
    if(Boost_USE_STATIC_LIBS)
      # when we're doing static linkage of boost
      # to also link against zlib (due to iostreams)
      find_package(ZLIB)
    endif()
  endif()

  find_package(maeparser MODULE)

  if(MAEPARSER_FORCE_BUILD OR (NOT maeparser_FOUND))
    if(NOT DEFINED MAEPARSER_DIR)
      set(MAEPARSER_DIR "${CMAKE_CURRENT_SOURCE_DIR}/maeparser")
    endif()

    if(NOT EXISTS "${MAEPARSER_DIR}/MaeParser.hpp")
        set(RELEASE_NO "1.3.1")
        set(MD5 "cfa40e29366f4b413e4ec15f959ee139")
        downloadAndCheckMD5("https://github.com/schrodinger/maeparser/archive/v${RELEASE_NO}.tar.gz"
              "${CMAKE_CURRENT_SOURCE_DIR}/maeparser-v${RELEASE_NO}.tar.gz" ${MD5})
        execute_process(COMMAND ${CMAKE_COMMAND} -E tar zxf
          ${CMAKE_CURRENT_SOURCE_DIR}/maeparser-v${RELEASE_NO}.tar.gz
          WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
        file(RENAME "maeparser-${RELEASE_NO}" "${MAEPARSER_DIR}")
        patchCoordGenMaeExportHeaders("MAEPARSER" "${MAEPARSER_DIR}/MaeParserConfig.hpp")

    else()
      message("-- Found MAEParser source in ${MAEPARSER_DIR}")
    endif()

    set(maeparser_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}
        CACHE STRING "MaeParser Include Dir" FORCE)
    file(GLOB MAESOURCES "${MAEPARSER_DIR}/*.cpp")

     if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
      set(CMAKE_CXX_FLAGS "${CMAKE_C_FLAGS} -Wno-deprecated-copy")
     endif()

    rdkit_library(maeparser ${MAESOURCES} LINK_LIBRARIES ${Boost_LIBRARIES} ${ZLIB_LIBRARIES} SHARED)
    install(TARGETS maeparser DESTINATION ${RDKit_LibDir})
    set(maeparser_LIBRARIES maeparser ${ZLIB_LIBRARIES})


  endif(MAEPARSER_FORCE_BUILD OR (NOT maeparser_FOUND))

  include_directories(${maeparser_INCLUDE_DIRS})

  set(RDK_MAEPARSER_LIBS ${maeparser_LIBRARIES} ${Boost_LIBRARIES}
      CACHE STRING "the external libraries" FORCE)

else (RDK_BUILD_MAEPARSER_SUPPORT)

  set(RDK_MAEPARSER_LIBS CACHE STRING "the external libraries" FORCE)

endif(RDK_BUILD_MAEPARSER_SUPPORT)

if(RDK_BUILD_COORDGEN_SUPPORT)
  if(MSVC AND (NOT RDK_INSTALL_DLLS_MSVC))
    add_definitions(-DSTATIC_COORDGEN)
  else(MSVC AND (NOT RDK_INSTALL_DLLS_MSVC))
    add_definitions(-DIN_COORDGEN)
  endif(MSVC AND (NOT RDK_INSTALL_DLLS_MSVC))

  find_package(coordgen MODULE)
  if(COORDGEN_FORCE_BUILD OR (NOT coordgen_FOUND))
    if(NOT DEFINED COORDGEN_DIR)
      set(COORDGEN_DIR "${CMAKE_CURRENT_SOURCE_DIR}/coordgen")
    endif()

    if(NOT EXISTS "${COORDGEN_DIR}/sketcherMinimizer.h")
        set(RELEASE_NO "3.0.2")
        set(MD5 "bc9dabbbb2b99ae426f3a1bf16c4d3cc")
        downloadAndCheckMD5("https://github.com/schrodinger/coordgenlibs/archive/v${RELEASE_NO}.tar.gz"
              "${CMAKE_CURRENT_SOURCE_DIR}/coordgenlibs-${RELEASE_NO}.tar.gz" ${MD5})
        execute_process(COMMAND ${CMAKE_COMMAND} -E tar zxf
          ${CMAKE_CURRENT_SOURCE_DIR}/coordgenlibs-${RELEASE_NO}.tar.gz
          WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

        file(RENAME "coordgenlibs-${RELEASE_NO}" "${COORDGEN_DIR}")
    else()
      message("-- Found coordgenlibs source in ${COORDGEN_DIR}")
    endif()

    set(coordgen_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}
        CACHE STRING "CoordGen Include File" FORCE)
    file(GLOB CGSOURCES "${COORDGEN_DIR}/*.cpp")
    rdkit_library(coordgen ${CGSOURCES} SHARED )
    install(TARGETS coordgen DESTINATION ${RDKit_LibDir})
    set(coordgen_LIBRARIES coordgen)

  endif(COORDGEN_FORCE_BUILD OR (NOT coordgen_FOUND))

  include_directories(${coordgen_INCLUDE_DIRS})

  set(RDK_COORDGEN_LIBS MolAlign ${coordgen_LIBRARIES} ${RDK_MAEPARSER_LIBS} ${Boost_LIBRARIES}
      CACHE STRING "the external libraries" FORCE)
  rdkit_headers(CoordGen.h DEST GraphMol)

  if(RDK_BUILD_PYTHON_WRAPPERS)
    add_subdirectory(Wrap)
  endif(RDK_BUILD_PYTHON_WRAPPERS)

  rdkit_test(testCoordGen test.cpp
    LINK_LIBRARIES
    ${RDK_COORDGEN_LIBS} Depictor ChemTransforms
    FileParsers SmilesParse SubstructMatch GraphMol
    RDGeneral DataStructs RDGeneral RDGeometryLib
    ${RDKit_THREAD_LIBS})

else (RDK_BUILD_COORDGEN_SUPPORT)

  set(RDK_COORDGEN_LIBS CACHE STRING "the external libraries" FORCE)

endif(RDK_BUILD_COORDGEN_SUPPORT)

=== Code/GraphMol/Depictor/CMakeLists.txt ===

remove_definitions(-DRDKIT_GRAPHMOL_BUILD)

if(RDK_BUILD_COORDGEN_SUPPORT)

    if(MSVC AND (NOT RDK_INSTALL_DLLS_MSVC))
      add_definitions(-DSTATIC_COORDGEN)
    else(MSVC AND (NOT RDK_INSTALL_DLLS_MSVC))
      add_definitions(-DIN_COORDGEN)
    endif(MSVC AND (NOT RDK_INSTALL_DLLS_MSVC))

    include_directories(${coordgen_INCLUDE_DIRS})
endif()

rdkit_library(Depictor
              RDDepictor.cpp EmbeddedFrag.cpp DepictUtils.cpp Templates.cpp
              LINK_LIBRARIES ${RDK_COORDGEN_LIBS} SmilesParse SubstructMatch MolTransforms GraphMol RDGeneral)
target_compile_definitions(Depictor PRIVATE RDKIT_DEPICTOR_BUILD)

rdkit_headers(DepictUtils.h
              EmbeddedFrag.h
              RDDepictor.h DEST GraphMol/Depictor)

rdkit_test(testDepictor testDepictor.cpp
           LINK_LIBRARIES Depictor ChemTransforms FileParsers SmilesParse MolAlign)

FILE(GLOB TEST_OUTPUT_FILES "${CMAKE_CURRENT_SOURCE_DIR}/test_data/*.out.sdf")
get_directory_property(extra_clean_files ADDITIONAL_MAKE_CLEAN_FILES)
set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES
        "${extra_clean_files};${TEST_OUTPUT_FILES}")


rdkit_catch_test(depictorCatch catch_tests.cpp LINK_LIBRARIES Depictor SmilesParse FileParsers)


if(RDK_BUILD_PYTHON_WRAPPERS)
add_subdirectory(Wrap)
endif()

=== Code/GraphMol/FileParsers/CMakeLists.txt ===


if(RDK_USE_BOOST_IOSTREAMS)
if(WIN32)
  find_package(Boost ${RDK_BOOST_VERSION} COMPONENTS system iostreams REQUIRED)
  set (link_iostreams ${Boost_LIBRARIES})
  if (NOT Boost_USE_STATIC_LIBS)
     add_definitions("-DBOOST_IOSTREAMS_DYN_LINK")
  endif()
  find_package(ZLIB)
  include_directories(${ZLIB_INCLUDE_DIRS})
  find_package(Boost ${RDK_BOOST_VERSION} COMPONENTS zlib)
  if(Boost_zlib_FOUND)
    set(zlib_lib Boost::zlib)
  else()
    set(zlib_lib ${ZLIB_LIBRARIES})
  endif()


else()
  find_package(Boost ${RDK_BOOST_VERSION} COMPONENTS system iostreams REQUIRED)
  set (link_iostreams ${Boost_LIBRARIES})
  if (NOT Boost_USE_STATIC_LIBS)
     add_definitions("-DBOOST_IOSTREAMS_DYN_LINK")
  endif()
  find_package(ZLIB)
  include_directories(${ZLIB_INCLUDE_DIRS})
  set(zlib_lib ${ZLIB_LIBRARIES})
endif()
ADD_DEFINITIONS("-DRDK_USE_BOOST_IOSTREAMS")
endif(RDK_USE_BOOST_IOSTREAMS)

if(RDK_BUILD_MAEPARSER_SUPPORT)
    include_directories(${maeparser_INCLUDE_DIRS})
    set (maesupplier MaeMolSupplier.cpp MaeWriter.cpp)
endif()

if(RDK_USE_BOOST_REGEX)
  add_definitions(-DRDKIT_USE_BOOST_REGEX)
  find_package(Boost ${RDK_BOOST_VERSION} COMPONENTS regex REQUIRED)
  set(regex_lib Boost::regex)
endif()

rdkit_library(FileParsers
              CDXMLParser.cpp
              Mol2FileParser.cpp MolFileParser.cpp
              MolSGroupParsing.cpp MolSGroupWriting.cpp
              MolFileStereochem.cpp MolFileWriter.cpp
              ForwardSDMolSupplier.cpp SDMolSupplier.cpp SDWriter.cpp
              SmilesMolSupplier.cpp SmilesWriter.cpp
              TDTMolSupplier.cpp TDTWriter.cpp
              TplFileParser.cpp TplFileWriter.cpp
              PDBParser.cpp PDBWriter.cpp PDBSupplier.cpp
              CMLWriter.cpp XYZFileWriter.cpp XYZFileParser.cpp
              ${maesupplier}
              ProximityBonds.cpp
              SequenceParsers.cpp SequenceWriters.cpp
              SVGParser.cpp PNGParser.cpp
              MultithreadedMolSupplier.cpp
              MultithreadedSmilesMolSupplier.cpp
              MultithreadedSDMolSupplier.cpp
              LINK_LIBRARIES GenericGroups Depictor SmilesParse ChemTransforms GraphMol ${RDK_MAEPARSER_LIBS} ${regex_lib} ${link_iostreams} ${zlib_lib})
target_compile_definitions(FileParsers PRIVATE RDKIT_FILEPARSERS_BUILD)

rdkit_headers(CDXMLParser.h
              FileParsers.h
              FileParserUtils.h
              MolFileStereochem.h
              MolSupplier.h
              MolWriters.h
              SequenceParsers.h SequenceWriters.h
              GeneralFileReader.h
              MultithreadedMolSupplier.h
              MultithreadedSmilesMolSupplier.h
              MultithreadedSDMolSupplier.h
              PNGParser.h
              DEST GraphMol/FileParsers)

rdkit_test(fileParsersTest1 test1.cpp
           LINK_LIBRARIES FileParsers SubstructMatch)



rdkit_test(testMolSupplier testMolSupplier.cpp
           LINK_LIBRARIES  FileParsers RDStreams)

rdkit_test(testGeneralFileReader testGeneralFileReader.cpp
          LINK_LIBRARIES FileParsers RDStreams)

if(RDK_TEST_MULTITHREADED)
rdkit_test(testMultithreadedMolSupplier testMultithreadedMolSupplier.cpp
          LINK_LIBRARIES FileParsers Fingerprints RDStreams)
endif(RDK_TEST_MULTITHREADED)

rdkit_test(testMolWriter testMolWriter.cpp LINK_LIBRARIES FileParsers)

rdkit_test(testTplParser testTpls.cpp LINK_LIBRARIES FileParsers)

rdkit_test(testMol2ToMol testMol2ToMol.cpp LINK_LIBRARIES FileParsers)

rdkit_test(testSequence testSequence.cpp LINK_LIBRARIES FileParsers)

rdkit_test(testExtendedStereoParsing testExtendedStereoParsing.cpp
           LINK_LIBRARIES FileParsers)

rdkit_catch_test(fileParsersCatchTest file_parsers_catch.cpp
           LINK_LIBRARIES FileParsers)

rdkit_catch_test(testPropertyLists testPropertyLists.cpp
           LINK_LIBRARIES FileParsers)

rdkit_catch_test(XYZFileParserCatchTest XYZFileParserCatchTest.cpp
           LINK_LIBRARIES FileParsers)

rdkit_catch_test(cdxmlParserCatchTest cdxml_parser_catch.cpp
           LINK_LIBRARIES FileParsers)

rdkit_catch_test(molfileStereoCatchTest molfile_stereo_catch.cpp
           LINK_LIBRARIES FileParsers Subgraphs)

=== Code/GraphMol/FilterCatalog/CMakeLists.txt ===
if(RDK_USE_BOOST_SERIALIZATION AND Boost_SERIALIZATION_LIBRARY)
    set(RDKit_SERIALIZATION_LIBS ${Boost_SERIALIZATION_LIBRARY})
else()
    message("== Making FilterCatalog without boost Serialization support")
    set(RDKit_SERIALIZATION_LIBS )
endif()

find_package(PythonInterp)
if (PYTHONINTERP_FOUND)
  if(DEFINED ${PYTHON_VERSION_STRING} AND ${PYTHON_VERSION_STRING} VERSION_GREATER "2.6" )
        message("== Updating Filters.cpp from pains file")
        execute_process(
          COMMAND
          ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/update_pains.py
          RESULT_VARIABLE rc
        )
        if(NOT rc EQUAL 0)
          message(FATAL_ERROR "Failed updating Filters.cpp from wehi_pains.csv")
        endif(NOT rc EQUAL 0)
  endif()
endif()


rdkit_library(FilterCatalog
              Filters.cpp
              FilterCatalog.cpp
              FilterCatalogEntry.cpp
	      FilterCatalogRunner.cpp
              FilterMatchers.cpp
              FunctionalGroupHierarchy.cpp
              LINK_LIBRARIES Subgraphs SubstructMatch SmilesParse
              GraphMol Catalogs ${RDKit_SERIALIZATION_LIBS} )
target_compile_definitions(FilterCatalog PRIVATE RDKIT_FILTERCATALOG_BUILD)

rdkit_headers(FilterCatalogEntry.h
              FilterCatalog.h
              FilterMatcherBase.h
              FilterMatchers.h
              FunctionalGroupHierarchy.h
              DEST GraphMol/FilterCatalog)

if(RDK_BUILD_PYTHON_WRAPPERS)
add_subdirectory(Wrap)
endif()

rdkit_test(filterCatalogTest filtercatalogtest.cpp
           LINK_LIBRARIES FilterCatalog SmilesParse FileParsers )

=== Code/GraphMol/MolDraw2D/CMakeLists.txt ===

option(RDK_BUILD_QT_SUPPORT "build support for QT drawing" OFF )
option(RDK_USE_QT6 "Use Qt6 instead of Qt5" OFF )
option(RDK_BUILD_QT_DEMO "build the QT drawing demo" OFF )
option(RDK_BUILD_CAIRO_SUPPORT "build support for Cairo drawing" OFF )
option(RDK_BUILD_FREETYPE_SUPPORT "build support for FreeType font handling" ON)
option(RDK_INSTALL_COMIC_FONTS "download and install comic-neue to maximize the \"utility\" of the comic mode in MolDraw2D" ON)

if(RDK_BUILD_MINIMAL_LIB AND RDK_MINIMAL_LIB_SUPPORT_LEGACY_BROWSERS)
  add_definitions(-DRDK_MINIMAL_LIB_SUPPORT_LEGACY_BROWSERS)
endif()

if(RDK_BUILD_FREETYPE_SUPPORT AND RDK_INSTALL_COMIC_FONTS)
  set(needDownload "TRUE")
  if(EXISTS "${RDKit_DataDir}/Fonts/ComicNeue-Regular.ttf")
    message("${RDKit_DataDir}/Fonts/ComicNeue-Regular.ttf already there, skipping the download")
    set(needDownload "FALSE")
  endif()
  if(needDownload)
    set(MD5Sum "850b0df852f1cda4970887b540f8f333")
    downloadAndCheckMD5("https://fonts.google.com/download?family=Comic%20Neue"
          "${CMAKE_CURRENT_SOURCE_DIR}/Comic_Neue.zip"
          ${MD5Sum})
    execute_process(COMMAND ${CMAKE_COMMAND} -E tar x
      ${CMAKE_CURRENT_SOURCE_DIR}/Comic_Neue.zip --format=zip
      WORKING_DIRECTORY ${RDKit_DataDir}/Fonts)
  endif(needDownload)
endif()

rdkit_headers(MolDraw2D.h
  MolDraw2DSVG.h
  MolDraw2Dwx.h
  MolDraw2DJS.h
  MolDraw2DUtils.h
  MolDraw2DHelpers.h
  DEST GraphMol/MolDraw2D
)

rdkit_library(MolDraw2D MolDraw2D.cpp MolDraw2DSVG.cpp
  MolDraw2DDetails.cpp MolDraw2DUtils.cpp AtomSymbol.cpp
  DrawAnnotation.cpp DrawMol.cpp DrawMolMCH.cpp
  DrawShape.cpp DrawText.cpp DrawTextNotFT.cpp DrawTextSVG.cpp
  MolDraw2DJS.cpp DrawTextJS.cpp
  LINK_LIBRARIES
  ChemReactions Depictor MolTransforms 
  SubstructMatch Subgraphs GraphMol EigenSolvers )
target_compile_definitions(MolDraw2D PRIVATE RDKIT_MOLDRAW2D_BUILD)

# if(RDK_BUILD_QT_DEMO && !RDK_BUILD_QT_SUPPORT) error
if(RDK_BUILD_QT_SUPPORT)
  add_subdirectory(Qt)
endif(RDK_BUILD_QT_SUPPORT)

if(RDK_BUILD_CAIRO_SUPPORT)
  find_package(Cairo REQUIRED)
  target_compile_definitions(MolDraw2D PUBLIC "-DRDK_BUILD_CAIRO_SUPPORT")
  target_link_libraries(MolDraw2D PUBLIC Cairo::Cairo)
  target_sources(MolDraw2D PRIVATE MolDraw2DCairo.cpp DrawTextCairo.cpp)
  if(RDK_INSTALL_STATIC_LIBS AND NOT WIN32)
     target_compile_definitions(MolDraw2D_static PUBLIC "-DRDK_BUILD_CAIRO_SUPPORT")
     target_link_libraries(MolDraw2D_static PUBLIC Cairo::Cairo)
     target_sources(MolDraw2D_static PRIVATE MolDraw2DCairo.cpp DrawTextCairo.cpp)
  endif()
  rdkit_headers(MolDraw2DCairo.h DEST GraphMol/MolDraw2D)
endif(RDK_BUILD_CAIRO_SUPPORT)

if(RDK_BUILD_FREETYPE_SUPPORT)
  target_compile_definitions(MolDraw2D PUBLIC "-DRDK_BUILD_FREETYPE_SUPPORT")
  target_sources(MolDraw2D PRIVATE DrawText.cpp
          DrawTextFT.cpp DrawTextFTSVG.cpp DrawTextFTJS.cpp)
  if(RDK_INSTALL_STATIC_LIBS AND NOT WIN32)
    target_compile_definitions(MolDraw2D_static PUBLIC "-DRDK_BUILD_FREETYPE_SUPPORT")
    target_sources(MolDraw2D_static PRIVATE DrawText.cpp
          DrawTextFT.cpp DrawTextFTSVG.cpp DrawTextFTJS.cpp)
  endif()
  if( ${CMAKE_SYSTEM_NAME} MATCHES "Emscripten")
      set(USE_FLAGS "-s USE_FREETYPE=1")
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${USE_FLAGS}")
      set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${USE_FLAGS}")
  endif()
  find_package(Freetype REQUIRED)
  target_include_directories(MolDraw2D PUBLIC ${FREETYPE_INCLUDE_DIRS})
  target_link_libraries(MolDraw2D PUBLIC ${FREETYPE_LIBRARIES})
  if(RDK_INSTALL_STATIC_LIBS AND NOT WIN32)
    target_include_directories(MolDraw2D_static PUBLIC ${FREETYPE_INCLUDE_DIRS})
    target_link_libraries(MolDraw2D_static PUBLIC ${FREETYPE_LIBRARIES})
  endif()
  if(RDK_BUILD_CAIRO_SUPPORT)
    target_sources(MolDraw2D PRIVATE DrawTextFTCairo.cpp)
    if(RDK_INSTALL_STATIC_LIBS AND NOT WIN32)
      target_sources(MolDraw2D_static PRIVATE DrawTextFTCairo.cpp)
    endif()
  endif()
endif(RDK_BUILD_FREETYPE_SUPPORT)

rdkit_test(moldraw2DTest1 test1.cpp LINK_LIBRARIES
  MolDraw2D )

rdkit_catch_test(moldraw2DTestCatch catch_tests.cpp LINK_LIBRARIES
  MolDraw2D CIPLabeler )

rdkit_test(moldraw2DRxnTest1 rxn_test1.cpp LINK_LIBRARIES
  MolDraw2D )

  if(RDK_BUILD_PYTHON_WRAPPERS)
add_subdirectory(Wrap)
endif()

=== Code/GraphMol/RGroupDecomposition/CMakeLists.txt ===

rdkit_library(RGroupDecomposition RGroupDecomp.cpp RGroupDecompData.cpp RGroupData.cpp RGroupUtils.cpp RGroupCore.cpp
				  RGroupDecompParams.cpp RGroupScore.cpp RGroupFingerprintScore.cpp RGroupGa.cpp
  LINK_LIBRARIES
  FMCS ChemTransforms SubstructMatch SmilesParse Fingerprints
 GraphMol RDGeneral ga)
target_compile_definitions(RGroupDecomposition PRIVATE RDKIT_RGROUPDECOMPOSITION_BUILD)

rdkit_headers(
   RGroupDecomp.h RGroupDecompParams.h
   DEST GraphMol/RGroupDecomposition)

if(RDK_BUILD_PYTHON_WRAPPERS)
add_subdirectory(Wrap)
endif()

rdkit_test(testRGroupDecomp testRGroupDecomp.cpp
		LINK_LIBRARIES RGroupDecomposition )

rdkit_test(testRGroupDecompInternals testRGroupInternals.cpp
		LINK_LIBRARIES RGroupDecomposition )

rdkit_catch_test(rgroupCatchTests catch_rgd.cpp 
		LINK_LIBRARIES RGroupDecomposition )

find_package(Boost ${RDK_BOOST_VERSION} COMPONENTS program_options)
if(RDK_BUILD_CPP_TESTS AND Boost_FOUND)
	add_executable(gaExample GaExample.cpp)
	if(NOT Boost_USE_STATIC_LIBS)
		target_compile_definitions(gaExample PUBLIC -DBOOST_PROGRAM_OPTIONS_DYN_LINK)
	endif()
	target_link_libraries(gaExample RGroupDecomposition ${Boost_PROGRAM_OPTIONS_LIBRARY})
endif()

=== Code/GraphMol/SmilesParse/CMakeLists.txt ===
if(RDK_USE_FLEXBISON)
  FIND_PACKAGE(BISON)
  FIND_PACKAGE(FLEX)
else(RDK_USE_FLEXBISON)
  set(FLEX_EXECUTABLE "")
  set(BISON_EXECUTABLE "")
endif(RDK_USE_FLEXBISON)

if(MSVC)
ADD_DEFINITIONS("/D YY_NO_UNISTD_H")
endif()

if(FLEX_EXECUTABLE)
  FLEX_TARGET(SmilesL smiles.ll
              ${CMAKE_CURRENT_SOURCE_DIR}/lex.yysmiles.cpp
             COMPILE_FLAGS "-Pyysmiles_" )
  FLEX_TARGET(SmartsL smarts.ll
              ${CMAKE_CURRENT_SOURCE_DIR}/lex.yysmarts.cpp
              COMPILE_FLAGS "-Pyysmarts_" )
  SET(FLEX_OUTPUT_FILES ${FLEX_SmilesL_OUTPUTS} ${FLEX_SmartsL_OUTPUTS})
else(FLEX_EXECUTABLE)
  CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/lex.yysmiles.cpp.cmake
                 ${CMAKE_CURRENT_SOURCE_DIR}/lex.yysmiles.cpp COPYONLY)
  CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/lex.yysmarts.cpp.cmake
                 ${CMAKE_CURRENT_SOURCE_DIR}/lex.yysmarts.cpp COPYONLY)
  FILE(GLOB FLEX_OUTPUT_FILES "${CMAKE_CURRENT_SOURCE_DIR}/lex.*.cpp")
endif(FLEX_EXECUTABLE)

if(BISON_EXECUTABLE)
  BISON_TARGET(SmilesY smiles.yy
               ${CMAKE_CURRENT_SOURCE_DIR}/smiles.tab.cpp
               COMPILE_FLAGS "-pyysmiles_" )
  BISON_TARGET(SmartsY smarts.yy
               ${CMAKE_CURRENT_SOURCE_DIR}/smarts.tab.cpp
               COMPILE_FLAGS "-pyysmarts_" )
  SET(BISON_OUTPUT_FILES ${BISON_SmilesY_OUTPUTS} ${BISON_SmartsY_OUTPUTS})
  if(FLEX_EXECUTABLE)
    ADD_FLEX_BISON_DEPENDENCY(SmilesL SmilesY)
    ADD_FLEX_BISON_DEPENDENCY(SmartsL SmartsY)
  endif(FLEX_EXECUTABLE)
else(BISON_EXECUTABLE)
  CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/smiles.tab.hpp.cmake
                 ${CMAKE_CURRENT_SOURCE_DIR}/smiles.tab.hpp COPYONLY)
  CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/smiles.tab.cpp.cmake
                 ${CMAKE_CURRENT_SOURCE_DIR}/smiles.tab.cpp COPYONLY)
  CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/smarts.tab.hpp.cmake
                 ${CMAKE_CURRENT_SOURCE_DIR}/smarts.tab.hpp COPYONLY)
  CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/smarts.tab.cpp.cmake
                 ${CMAKE_CURRENT_SOURCE_DIR}/smarts.tab.cpp COPYONLY)
  FILE(GLOB BISON_OUTPUT_FILES "${CMAKE_CURRENT_SOURCE_DIR}/*.tab.?pp")
endif(BISON_EXECUTABLE)


rdkit_library(SmilesParse
              SmilesParse.cpp SmilesParseOps.cpp
              SmilesWrite.cpp SmartsWrite.cpp CXSmilesOps.cpp
              ${BISON_OUTPUT_FILES}
              ${FLEX_OUTPUT_FILES}
              LINK_LIBRARIES GraphMol RDGeneral)
target_compile_definitions(SmilesParse PRIVATE RDKIT_SMILESPARSE_BUILD)

rdkit_headers(primes.h
              SmartsWrite.h
              SmilesParse.h
              SmilesParseOps.h
              SmilesWrite.h DEST GraphMol/SmilesParse)

rdkit_test(smiTest1 test.cpp LINK_LIBRARIES FileParsers SmilesParse )
rdkit_test(smiTest2 test2.cpp LINK_LIBRARIES SmilesParse )
rdkit_catch_test(cxsmilesTest cxsmiles_test.cpp LINK_LIBRARIES FileParsers SmilesParse )

rdkit_test(smaTest1 smatest.cpp LINK_LIBRARIES SmilesParse SubstructMatch  )
rdkit_catch_test(smiTestCatch catch_tests.cpp LINK_LIBRARIES FileParsers SmilesParse )
rdkit_catch_test(nontetrahedralCatch nontetrahedral_tests.cpp LINK_LIBRARIES FileParsers SmilesParse )

=== Code/GraphMol/Wrap/CMakeLists.txt ===
remove_definitions(-DRDKIT_GRAPHMOL_BUILD)
rdkit_python_extension(rdchem
                       rdchem.cpp Table.cpp Atom.cpp Bond.cpp Mol.cpp
                       Conformer.cpp RingInfo.cpp EditableMol.cpp MonomerInfo.cpp
                       ResonanceMolSupplier.cpp MolBundle.cpp StereoGroup.cpp SubstanceGroup.cpp
                       Chirality.cpp
                       DEST Chem
                       LINK_LIBRARIES
                       SmilesParse ChemTransforms SubstructMatch GraphMol)

rdkit_python_extension(rdmolops
                       rdmolops.cpp MolOps.cpp
                       ChiralityOps.cpp
                       DEST Chem
                       LINK_LIBRARIES
                       ChemReactions Depictor
                       FileParsers SubstructMatch Fingerprints ChemTransforms
                       Subgraphs SmilesParse MolTransforms GraphMol)

rdkit_python_extension(rdqueries
                       rdqueries.cpp Queries.cpp
                       DEST Chem
                       LINK_LIBRARIES
                       GraphMol)

if(RDK_BUILD_MAEPARSER_SUPPORT)
    set (maesupplier MaeMolSupplier.cpp MaeWriter.cpp)
    include_directories(${maeparser_INCLUDE_DIRS})
endif()

if(RDK_BUILD_COMPRESSED_SUPPLIERS)
find_package(Boost ${RDK_BOOST_VERSION} COMPONENTS iostreams REQUIRED)
if (NOT Boost_USE_STATIC_LIBS)
   add_definitions("-DBOOST_IOSTREAMS_DYN_LINK")
endif()
set(rdmolfiles_sources rdmolfiles.cpp
                       ForwardSDMolSupplier.cpp ${maesupplier}
                       SDMolSupplier.cpp TDTMolSupplier.cpp
                       SmilesMolSupplier.cpp SmilesWriter.cpp SDWriter.cpp
                       TDTWriter.cpp CompressedSDMolSupplier.cpp
                       PDBWriter.cpp
                       MultithreadedSmilesMolSupplier.cpp
                       MultithreadedSDMolSupplier.cpp)
else(RDK_BUILD_COMPRESSED_SUPPLIERS)
set(rdmolfiles_sources rdmolfiles.cpp
                       ForwardSDMolSupplier.cpp ${maesupplier}
                       SDMolSupplier.cpp TDTMolSupplier.cpp
                       SmilesMolSupplier.cpp SmilesWriter.cpp SDWriter.cpp
                       TDTWriter.cpp
                       PDBWriter.cpp
                       MultithreadedSmilesMolSupplier.cpp
                       MultithreadedSDMolSupplier.cpp)

endif(RDK_BUILD_COMPRESSED_SUPPLIERS)

rdkit_python_extension(rdmolfiles
                       ${rdmolfiles_sources}
                       DEST Chem
                       LINK_LIBRARIES  SubstructMatch
                       SmilesParse FileParsers GraphMol
                       RDGeometryLib RDGeneral RDBoost)

rdkit_python_extension(rdtrajectory
                       Trajectory.cpp rdTrajectory.cpp
                       DEST Chem
                       LINK_LIBRARIES Trajectory RDGeometryLib RDGeneral RDBoost GraphMol)

if(RDK_BUILD_COMPRESSED_SUPPLIERS)
  set_target_properties(rdmolfiles PROPERTIES DEFINE_SYMBOL SUPPORT_COMPRESSED_SUPPLIERS)
endif(RDK_BUILD_COMPRESSED_SUPPLIERS)

add_pytest(pyGraphMolWrap
         ${CMAKE_CURRENT_SOURCE_DIR}/rough_test.py)

add_pytest(pyTestConformerWrap
         ${CMAKE_CURRENT_SOURCE_DIR}/testConformer.py)

add_pytest(pyTestTrajectory
         ${CMAKE_CURRENT_SOURCE_DIR}/testTrajectory.py)

add_pytest(pyTestSGroups
         ${CMAKE_CURRENT_SOURCE_DIR}/testSGroups.py)

if (RDK_TEST_MULTITHREADED)
  add_pytest(pyTestThreads
           ${CMAKE_CURRENT_SOURCE_DIR}/testThreads.py)
  add_pytest(pyTestMultithreadedMolSupplier
         ${CMAKE_CURRENT_SOURCE_DIR}/testMultithreadedMolSupplier.py)
endif (RDK_TEST_MULTITHREADED)

add_pytest(pyTestPropertyLists
         ${CMAKE_CURRENT_SOURCE_DIR}/testPropertyLists.py)

add_pytest(pyCDXMLTest
         ${CMAKE_CURRENT_SOURCE_DIR}/test_cdxml.py)

=== debian/changelog ===
rdkit (202303.3-3.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Sep 2023 10:44:34 +0200

rdkit (202303.3-3) unstable; urgency=medium

  * Source-only team upload.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Sep 2023 10:44:34 +0200

rdkit (202303.3-2) unstable; urgency=medium

  * Team upload for PostgreSQL 16.
  * Fix compatibility with PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Wed, 20 Sep 2023 13:49:49 +0000

rdkit (202303.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Builds with GCC-13. (Closes: #1037837)
    - Builds with LTO enabled. (Closes: #1015650)
  * debian/rules (override_dh_install): work around files going to a
    versioned /usr/lib/python3.XX/site-packages directory, instead of the
    desired /usr/lib/python3/dist-packages.
  * debian/rules (override_dh_auto_clean): Docs/Book/Cookbook.rst is shipped
    in the current upstream tarball, so don't remove it in the clean target.
  * debian/control, control.in:
    - rdkit-doc: add Depends on libjs-jquery, libjs-underscore. (Closes: #990653)
    - Add Build-Depends on python3-myst-parser.
    - Update B-Ds on transitional packages, libfreetype6-dev -> libfreetype-dev
      and libcairo-dev -> libcairo2-dev.
    - Bump Standards-Version to 4.6.2 and remove unused fields.
  * debian/upstream/metadata: Add Repository, Bug-Database URLs.
  * debian/rules: Remove obsolete --parallel option.
  * Rebase patches and update lintian overrides.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 03 Sep 2023 09:06:22 -0700

=== debian/control ===
Source: rdkit
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: bison,
               catch2,
               cmake,
               debhelper-compat (= 13),
               dh-python,
               doxygen,
               flex,
               imagemagick,
               latexmk,
               libboost-dev,
               libboost-iostreams-dev,
               libboost-python-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libcairo2-dev,
               libcoordgen-dev,
               libeigen3-dev,
               libfreetype-dev,
               libmaeparser-dev,
               librsvg2-bin,
               libsqlite3-dev,
               pandoc,
               postgresql-server-dev-all,
               python3-dev,
               python3-myst-parser,
               python3-numpy,
               python3-pandas,
               python3-pil | python3-imaging,
               python3-recommonmark,
               python3-sphinx,
               python3-sqlalchemy,
               rapidjson-dev,
               tex-gyre,
               texlive-fonts-recommended,
               texlive-latex-base,
               texlive-latex-extra,
               texlive-latex-recommended
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debichem-team/rdkit
Vcs-Git: https://salsa.debian.org/debichem-team/rdkit.git
Homepage: http://www.rdkit.org

Package: python3-rdkit
Section: python
Architecture: any
Depends: fonts-freefont-ttf,
         rdkit-data,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: rdkit-doc
Provides: ${python3:Provides}
Description: Collection of cheminformatics and machine-learning software
 RDKit is a Python/C++ based cheminformatics and machine-learning software
 environment.  Features Include:
 .
  * Chemical reaction handling and transforms
  * Substructure searching with SMARTS
  * Canonical SMILES
  * Molecule-molecule alignment
  * Large number of molecular descriptors, including topological,
    compositional, EState, SlogP/SMR, VSA and Feature-map vectors
  * Fragmentation using RECAP rules
  * 2D coordinate generation and depiction, including constrained depiction
  * 3D coordinate generation using geometry embedding
  * UFF and MMFF94 forcefields
  * Chirality support, including calculation of (R/S) stereochemistry codes
  * 2D pharmacophore searching
  * Fingerprinting, including Daylight-like, atom pairs, topological
    torsions, Morgan algorithm and MACCS keys
  * Calculation of shape similarity
  * Multi-molecule maximum common substructure
  * Machine-learning via clustering and information theory algorithms
  * Gasteiger-Marsili partial charge calculation
 .
 File formats RDKit supports include MDL Mol, PDB, SDF, TDT, SMILES and RDKit
 binary format.

Package: rdkit-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, libjs-jquery, libjs-underscore
Description: Collection of cheminformatics and machine-learning software (documentation)
 RDKit is a Python/C++ based cheminformatics and machine-learning software
 environment.
 .
 This package contains the documentation.

Package: rdkit-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Collection of cheminformatics and machine-learning software (data files)
 RDKit is a Python/C++ based cheminformatics and machine-learning software
 environment.
 .
 This package contains data files.

Package: librdkit1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Collection of cheminformatics and machine-learning software (shared libraries)
 RDKit is a Python/C++ based cheminformatics and machine-learning software
 environment.  Features Include:
 .
  * Chemical reaction handling and transforms
  * Substructure searching with SMARTS
  * Canonical SMILES
  * Molecule-molecule alignment
  * Large number of molecular descriptors, including topological,
    compositional, EState, SlogP/SMR, VSA and Feature-map vectors
  * Fragmentation using RECAP rules
  * 2D coordinate generation and depiction, including constrained depiction
  * 3D coordinate generation using geometry embedding
  * UFF and MMFF94 forcefields
  * Chirality support, including calculation of (R/S) stereochemistry codes
  * 2D pharmacophore searching
  * Fingerprinting, including Daylight-like, atom pairs, topological
    torsions, Morgan algorithm and MACCS keys
  * Calculation of shape similarity
  * Multi-molecule maximum common substructure
  * Machine-learning via clustering and information theory algorithms
  * Gasteiger-Marsili partial charge calculation
 .
 File formats RDKit supports include MDL Mol, PDB, SDF, TDT, SMILES and RDKit
 binary format.
 .
 This package contains the shared libraries.

Package: librdkit-dev
Section: libdevel
Architecture: any
Depends: librdkit1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Collection of cheminformatics and machine-learning software (development files)
 RDKit is a Python/C++ based cheminformatics and machine-learning software
 environment.  Features Include:
 .
  * Chemical reaction handling and transforms
  * Substructure searching with SMARTS
  * Canonical SMILES
  * Molecule-molecule alignment
  * Large number of molecular descriptors, including topological,
    compositional, EState, SlogP/SMR, VSA and Feature-map vectors
  * Fragmentation using RECAP rules
  * 2D coordinate generation and depiction, including constrained depiction
  * 3D coordinate generation using geometry embedding
  * UFF and MMFF94 forcefields
  * Chirality support, including calculation of (R/S) stereochemistry codes
  * 2D pharmacophore searching
  * Fingerprinting, including Daylight-like, atom pairs, topological
    torsions, Morgan algorithm and MACCS keys
  * Calculation of shape similarity
  * Multi-molecule maximum common substructure
  * Machine-learning via clustering and information theory algorithms
  * Gasteiger-Marsili partial charge calculation
 .
 File formats RDKit supports include MDL Mol, PDB, SDF, TDT, SMILES and RDKit
 binary format.
 .
 This package contains the header files.

Package: postgresql-10-rdkit
Architecture: any
Section: database
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
Description: Cheminformatics and machine-learning software (PostgreSQL Cartridge)
 RDKit is a Python/C++ based cheminformatics and machine-learning software
 environment.  Features Include:
 .
  * Chemical reaction handling and transforms
  * Substructure searching with SMARTS
  * Canonical SMILES
  * Molecule-molecule alignment
  * Large number of molecular descriptors, including topological,
    compositional, EState, SlogP/SMR, VSA and Feature-map vectors
  * Fragmentation using RECAP rules
  * 2D coordinate generation and depiction, including constrained depiction
  * 3D coordinate generation using geometry embedding
  * UFF and MMFF94 forcefields
  * Chirality support, including calculation of (R/S) stereochemistry codes
  * 2D pharmacophore searching
  * Fingerprinting, including Daylight-like, atom pairs, topological
    torsions, Morgan algorithm and MACCS keys
  * Calculation of shape similarity
  * Multi-molecule maximum common substructure
  * Machine-learning via clustering and information theory algorithms
  * Gasteiger-Marsili partial charge calculation
 .
 File formats RDKit supports include MDL Mol, PDB, SDF, TDT, SMILES and RDKit
 binary format.
 .
 This package contains the PostgreSQL extension.

Package: postgresql-11-rdkit
Architecture: any
Section: database
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
Description: Cheminformatics and machine-learning software (PostgreSQL Cartridge)
 RDKit is a Python/C++ based cheminformatics and machine-learning software
 environment.  Features Include:
 .
  * Chemical reaction handling and transforms
  * Substructure searching with SMARTS
  * Canonical SMILES
  * Molecule-molecule alignment
  * Large number of molecular descriptors, including topological,
    compositional, EState, SlogP/SMR, VSA and Feature-map vectors
  * Fragmentation using RECAP rules
  * 2D coordinate generation and depiction, including constrained depiction
  * 3D coordinate generation using geometry embedding
  * UFF and MMFF94 forcefields
  * Chirality support, including calculation of (R/S) stereochemistry codes
  * 2D pharmacophore searching
  * Fingerprinting, including Daylight-like, atom pairs, topological
    torsions, Morgan algorithm and MACCS keys
  * Calculation of shape similarity
  * Multi-molecule maximum common substructure
  * Machine-learning via clustering and information theory algorithms
  * Gasteiger-Marsili partial charge calculation
 .
 File formats RDKit supports include MDL Mol, PDB, SDF, TDT, SMILES and RDKit
 binary format.
 .
 This package contains the PostgreSQL extension.

Package: postgresql-12-rdkit
Architecture: any
Section: database
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
Description: Cheminformatics and machine-learning software (PostgreSQL Cartridge)
 RDKit is a Python/C++ based cheminformatics and machine-learning software
 environment.  Features Include:
 .
  * Chemical reaction handling and transforms
  * Substructure searching with SMARTS
  * Canonical SMILES
  * Molecule-molecule alignment
  * Large number of molecular descriptors, including topological,
    compositional, EState, SlogP/SMR, VSA and Feature-map vectors
  * Fragmentation using RECAP rules
  * 2D coordinate generation and depiction, including constrained depiction
  * 3D coordinate generation using geometry embedding
  * UFF and MMFF94 forcefields
  * Chirality support, including calculation of (R/S) stereochemistry codes
  * 2D pharmacophore searching
  * Fingerprinting, including Daylight-like, atom pairs, topological
    torsions, Morgan algorithm and MACCS keys
  * Calculation of shape similarity
  * Multi-molecule maximum common substructure
  * Machine-learning via clustering and information theory algorithms
  * Gasteiger-Marsili partial charge calculation
 .
 File formats RDKit supports include MDL Mol, PDB, SDF, TDT, SMILES and RDKit
 binary format.
 .
 This package contains the PostgreSQL extension.

Package: postgresql-13-rdkit
Architecture: any
Section: database
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
Description: Cheminformatics and machine-learning software (PostgreSQL Cartridge)
 RDKit is a Python/C++ based cheminformatics and machine-learning software
 environment.  Features Include:
 .
  * Chemical reaction handling and transforms
  * Substructure searching with SMARTS
  * Canonical SMILES
  * Molecule-molecule alignment
  * Large number of molecular descriptors, including topological,
    compositional, EState, SlogP/SMR, VSA and Feature-map vectors
  * Fragmentation using RECAP rules
  * 2D coordinate generation and depiction, including constrained depiction
  * 3D coordinate generation using geometry embedding
  * UFF and MMFF94 forcefields
  * Chirality support, including calculation of (R/S) stereochemistry codes
  * 2D pharmacophore searching
  * Fingerprinting, including Daylight-like, atom pairs, topological
    torsions, Morgan algorithm and MACCS keys
  * Calculation of shape similarity
  * Multi-molecule maximum common substructure
  * Machine-learning via clustering and information theory algorithms
  * Gasteiger-Marsili partial charge calculation
 .
 File formats RDKit supports include MDL Mol, PDB, SDF, TDT, SMILES and RDKit
 binary format.
 .
 This package contains the PostgreSQL extension.

Package: postgresql-14-rdkit
Architecture: any
Section: database
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
